> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickbook Intuit  Reviews

> This endpoint is used to fetch reviews from Quickbook Advisor Profile Page.



## OpenAPI

````yaml POST /quickbook-intuit/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /quickbook-intuit/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from Quickbook Advisor Profile
        Page.
      requestBody:
        description: Quickbook Advisor review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuickbookIntuitReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuickbookIntuitReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    QuickbookIntuitReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Advisor Profile Page URL
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: false
        reviews_to_fetch:
          type:
            - number
            - 'null'
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        sync_date:
          type:
            - string
            - 'null'
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    QuickbookIntuitReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              review_id:
                type:
                  - string
                  - number
                  - 'null'
                description: Identifier
              author_name:
                type:
                  - string
                  - 'null'
                description: Name of the review author
              category_rating:
                type: object
                properties:
                  professionalism_rating:
                    type: number
                    description: Rating given in the review
                  overall_rating:
                    type: number
                    description: Rating given in the review
                  response_rating:
                    type: number
                    description: Rating given in the review
                  helpful_rating:
                    type: number
                    description: Rating given in the review
                  expertise_rating:
                    type: number
                    description: Rating given in the review
              review_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              author_id:
                type:
                  - string
                  - number
                  - 'null'
                description: Identifier of the author
              review_title:
                type:
                  - string
                  - 'null'
                description: Title of the review
              review_text:
                type:
                  - string
                  - 'null'
                description: Content of the review
              author_email:
                type:
                  - string
                  - 'null'
                description: Author's Email
              is_recommended:
                type:
                  - boolean
                  - 'null'
                description: Whether the review is verified
              industry:
                type:
                  - string
                  - 'null'
                description: Industry
              services_received:
                type:
                  - array
                  - 'null'
                items:
                  type: string
                description: List of services Recieved
              software_expertise:
                type:
                  - array
                  - 'null'
                items:
                  type: string
                description: List of software expertise
              review_reply:
                type: object
                properties:
                  reply_id:
                    type:
                      - string
                      - number
                      - 'null'
                    description: Reply Identifier
                  reply_date:
                    type:
                      - string
                      - 'null'
                    description: Date when the review was posted
                  reply_update_date:
                    type:
                      - string
                      - 'null'
                    description: Date when the review was posted
                  reply_text:
                    type:
                      - string
                      - 'null'
                    description: Content of the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              properties:
                avg_expertise_rating:
                  type: number
                  description: Average rating for expertise
                avg_helpful_rating:
                  type: number
                  description: Average rating for helpfulness
                avg_overall_rating:
                  type: number
                  description: Average overall rating
                avg_professionalism_rating:
                  type: number
                  description: Average rating for professionalism
                avg_response_rating:
                  type: number
                  description: Average rating for responsiveness
              description: Additional metadata about the review ratings
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````